Commit 5f00e33f authored by Yann Leboulanger's avatar Yann Leboulanger

prepare 0.15-alpha1 release

parent 6b9ffea3
Gajim 0.15 (XX XX 2011)
* Plugin system
* Whiteboard (via a plugin)
* Message archiving
* Stream managment
* IBB
* Nested roster group
* Roster filtrering
Gajim 0.14.4 (22 July 2011) Gajim 0.14.4 (22 July 2011)
* Fix translation issue * Fix translation issue
......
#!/usr/bin/env bash #!/usr/bin/env bash
gajimversion="0.14.0.1" gajimversion="0.15-alpha1"
if [ -d ".hg" ]; then if [ -d ".hg" ]; then
node=$(hg tip --template "{node}") node=$(hg tip --template "{node}")
hgversion="-${node:0:12}" hgversion="-${node:0:12}"
......
gajim for Debian gajim for Debian
---------------- ----------------
If you want to use OpenPGP in gajim, you have to install python-gnupginterface.
For video chat support, you have to install python-farsight. For video chat support, you have to install python-farsight.
-- Yann Le Boulanger <asterix@lagaule.org>, Mon, 20 Jun 2005 12:02:31 +0200 -- Yann Le Boulanger <asterix@lagaule.org>, Mon, 20 Jun 2005 12:02:31 +0200
......
gajim (0.15~alpha1-1) unstable; urgency=low
* New upstream release.
* remove 00_debian-copying.diff because upstream doesn't install it anymore
* remove 01_configure-ac.diff because upstream changed configure dependencies
* remove python-gnupginterface from recommands list, it's no more used
-- Yann Leboulanger <asterix@lagaule.org> Fri, 26 Aug 2011 12:13:51 +0200
gajim (0.14.4-1) unstable; urgency=low gajim (0.14.4-1) unstable; urgency=low
* New upstream release. Closes: #637071 * New upstream release. Closes: #637071
......
...@@ -2,7 +2,7 @@ Source: gajim ...@@ -2,7 +2,7 @@ Source: gajim
Section: net Section: net
Priority: optional Priority: optional
Maintainer: Yann Leboulanger <asterix@lagaule.org> Maintainer: Yann Leboulanger <asterix@lagaule.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), dh-autoreconf, gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
Standards-Version: 3.9.2 Standards-Version: 3.9.2
Homepage: http://www.gajim.org Homepage: http://www.gajim.org
Vcs-Hg: http://hg.gajim.org/gajim/ Vcs-Hg: http://hg.gajim.org/gajim/
...@@ -11,7 +11,7 @@ Vcs-Browser: http://hg.gajim.org/gajim/file ...@@ -11,7 +11,7 @@ Vcs-Browser: http://hg.gajim.org/gajim/file
Package: gajim Package: gajim
Architecture: all Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.16.0), dnsutils Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.16.0), dnsutils
Recommends: dbus, python-dbus, notification-daemon, python-gnupginterface, python-openssl (>= 0.9), python-crypto Recommends: dbus, python-dbus, notification-daemon, python-openssl (>= 0.9), python-crypto
Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farsight, gstreamer0.10-plugins-ugly Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farsight, gstreamer0.10-plugins-ugly
Description: Jabber client written in PyGTK Description: Jabber client written in PyGTK
Gajim is a Jabber client. It has a tabbed user interface with normal chats, Gajim is a Jabber client. It has a tabbed user interface with normal chats,
......
...@@ -5,8 +5,8 @@ It was downloaded from: ...@@ -5,8 +5,8 @@ It was downloaded from:
http://www.gajim.org/downloads/ http://www.gajim.org/downloads/
Upstream Authors: Upstream Authors:
- Alexander Cherniuk <ts33kr@gmail.com> - Denis Fomin <fominde@gmail.com>
- Yann Le Boulanger <asterix@lagaule.org> - Yann Leboulanger <asterix@lagaule.org>
Copyright: (c) 2003-2011 Gajim Team Copyright: (c) 2003-2011 Gajim Team
......
#!/usr/bin/make -f #!/usr/bin/make -f
%: %:
dh $@ --with python2,autoreconf dh $@ --with python2
# test target is broken # test target is broken
override_dh_auto_test: override_dh_auto_test:
...@@ -10,10 +10,6 @@ override_dh_auto_configure: ...@@ -10,10 +10,6 @@ override_dh_auto_configure:
convert icons/hicolor/64x64/apps/gajim.png -resize 32x32 debian/gajim.xpm convert icons/hicolor/64x64/apps/gajim.png -resize 32x32 debian/gajim.xpm
dh_auto_configure dh_auto_configure
override_dh_auto_install:
dh_auto_install
rm debian/gajim/usr/share/gajim/src/common/GnuPGInterface.py*
override_dh_auto_clean: override_dh_auto_clean:
-rm -f debian/gajim.xpm -rm -f debian/gajim.xpm
dh_auto_clean dh_auto_clean
...@@ -188,7 +188,7 @@ Section "Gajim" SecGajim ...@@ -188,7 +188,7 @@ Section "Gajim" SecGajim
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayName" "Gajim" WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayName" "Gajim"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "UninstallString" "$INSTDIR\Uninstall.exe" WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "UninstallString" "$INSTDIR\Uninstall.exe"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayIcon" "$INSTDIR\bin\Gajim.exe" WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayIcon" "$INSTDIR\bin\Gajim.exe"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayVersion" "0.14.1" WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayVersion" "0.15"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "URLInfoAbout" "http://www.gajim.org/" WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "URLInfoAbout" "http://www.gajim.org/"
WriteUninstaller "$INSTDIR\Uninstall.exe" WriteUninstaller "$INSTDIR\Uninstall.exe"
......
...@@ -27,7 +27,7 @@ docdir = '../' ...@@ -27,7 +27,7 @@ docdir = '../'
basedir = '../' basedir = '../'
localedir = '../po' localedir = '../po'
version = '0.14.90.0' version = '0.15-alpha1'
import subprocess import subprocess
try: try:
node = subprocess.Popen('hg tip --template "{node|short}"', shell=True, node = subprocess.Popen('hg tip --template "{node|short}"', shell=True,
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment